#ifndef cPlayer_H
#define cPlayer_H

class cPlayer{
protected:
	int Score;
	int Life;

public:
	cPlayer();
	virtual ~cPlayer();

	void Reset(){ Life = 0; Score = 0; }
	int AddScore(int n = 1){ Score += n; return Score; }
	int AddLife(int n = 1){ Life += n; return Life; }

	int GetScore(){ return Score; }
	int GetLife(){ return Life; }

};

#endif
